<?php
/**
 * Template part for displaying a content located in top header.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Purenote
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$purenote_header_top_enable = purenote_get_customizer_option_value( 'purenote_header_top_enable' );

if ( false === $purenote_header_top_enable ) {
	return;
}

/**
 * hook - purenote_before_top_header
 *
 * @since 1.0.0
 */
do_action( 'purenote_before_top_header' );
?>
<div id="top-header" class="top-header-wrapper">
	<div class="purenote-container purenote-flex">
		<?php
			// date
			get_template_part( 'template-parts/partials/header/date' );

			//social icons
			if ( true === purenote_get_customizer_option_value( 'purenote_header_social_icons_enable' ) ) {
			    get_template_part( 'template-parts/partials/header/social', 'icons' );
			}

		?>
	</div><!-- .purenote-container -->
</div><!-- .top-header-wrapper -->
<?php
/**
 * hook - purenote_after_top_header
 *
 * @since 1.0.0
 */
do_action( 'purenote_after_top_header' );